### Class

# Foundry DirectoryItem

#### Description [src]

    final class Foundry.DirectoryItem : GObject.Object
    {
      /* No available fields */
    }

Represents a single item found with in a directory listing.

#### Ancestors

- GObject

#### Instance methods

###### foundry_directory_item_dup_content_type

No description available.

###### foundry_directory_item_dup_directory

No description available.

###### foundry_directory_item_dup_display_name

No description available.

###### foundry_directory_item_dup_file

No description available.

###### foundry_directory_item_dup_info

No description available.

###### foundry_directory_item_dup_name

No description available.

###### foundry_directory_item_dup_symbolic_icon

No description available.

###### foundry_directory_item_get_file_type

No description available.

###### foundry_directory_item_get_size

No description available.

###### foundry_directory_item_get_status

No description available.

###### foundry_directory_item_is_ignored

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DirectoryItem:directory

No description available.

###### Foundry.DirectoryItem:display-name

No description available.

###### Foundry.DirectoryItem:file

No description available.

###### Foundry.DirectoryItem:ignored

No description available.

###### Foundry.DirectoryItem:info

No description available.

###### Foundry.DirectoryItem:name

No description available.

###### Foundry.DirectoryItem:size

No description available.

###### Foundry.DirectoryItem:status

No description available.

###### Foundry.DirectoryItem:symbolic-icon

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDirectoryItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.